//Load version and options
(versionInfo['version']) ? version = versionInfo['version'] : version = "" ;
$('#versionBuildNo')[0].innerText = version;
(userOptions.language) ? appLanguage = userOptions.language : appLanguage = "english";
$('#optionLanguage').val(appLanguage);
(userOptions.mainCoverLogo) ? coverLogo = userOptions.mainCoverLogo : coverLogo = ""; 
$('#mainCoverLogo').attr("src", coverLogo);
$('#coverPageMainLogo').val(coverLogo);
$('#logoImagePreviewImg').attr("src", coverLogo);
(userOptions.coverPageTextLine1) ? coverPageLine1 = userOptions.coverPageTextLine1 : coverPageLine1 = "";
$('#coverPageTextDispLine1')[0].innerText = coverPageLine1;
$('#coverPageTextLine1').val(coverPageLine1);
(userOptions.coverPageTextTitle) ? coverPageTitle = userOptions.coverPageTextTitle : coverPageTitle = "";
$('#reportCoverPageMainTitleLine1')[0].innerText = coverPageTitle;
$('#coverPageTextTitle').val(coverPageTitle);


if(userOptions.language=='english'){
  $('.english-show').show();
}else{
  $('.greek-show').show();
}

//Initialize graphs and other print related items after the window has loaded
window.onload = function() {

  var data = [1,1,1];
  createAssessmentChart(data,"assesmentChart");
  createAssessmentChart(data,"assesmentChartFid");
  
  // Put current date to pdf cover
  $("#currentDatePdf")[0].innerText = moment().format('DD MMMM YYYY');
  
  // Put print page header to pdf
  $("#personalInterviewForm div.html2pdf__page-break").each(function(index) {
		printPageHeader = "<div class=\"printPageHeader border-bottom\" style=\"display: none;\">EASO Quality Assurance Tool - <span class=\"pageNumber\">"+(index+2)+"</span></div>";  
		$( this ).after(printPageHeader);
  });
  $("#firstInstanceDecision div.html2pdf__page-break").each(function(index) {
		printPageHeaderFid = "<div class=\"printPageHeaderFid border-bottom\" style=\"display: none;\">EASO Quality Assurance Tool - <span class=\"pageNumberFid\">"+(index+2)+"</span></div>";  
		$( this ).after(printPageHeaderFid);
  });
  $("#reportPage div.html2pdf__page-break").each(function(index) {
     printPageHeaderRep = "<div class=\"printPageHeaderRep col-xl-10 offset-xl-2 border-bottom\" style=\"display: none;\">EASO Quality Assurance Tool - <span class=\"pageNumberRep\">"+(index+2)+"</span></div>";  
    $( this ).after(printPageHeaderRep);
  });

  // Polyfill for placeholdershow - edge
  // Call function that adds event listeners on the form
  if (isEdge) {
    placeHolderEventListeners();
  }
  
}